> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/android/standalone-modules/cafsmartauth/references.md).

# References

### `CafFilterStyle`

| Field          | Description                                           |
| -------------- | ----------------------------------------------------- |
| `NATURAL`      | The original captured selfie.                         |
| `LINE_DRAWING` | A line drawing filter applied to the captured selfie. |

### `CafFaceAuthenticatorSettings`

| Field               | Description                                                                                    |
| ------------------- | ---------------------------------------------------------------------------------------------- |
| `faceAuthToken`     | Usage token associated with your CAF account                                                   |
| `useLoadingScreen`  | Boolean value to enable or disable the loading screen.                                         |
| `enableScreenshots` | Boolean value to enable or disable screen recording during face liveness verification process. |
| `filter`            | Filter style to apply to the captured selfie.                                                  |

### `CafFailure`

#### Structure

| Field     | Description             |
| --------- | ----------------------- |
| `message` | Detailed error message. |

The `CafFailure` represents various types of errors that may occur in the SDK:

| Error                | Description                                                |
| -------------------- | ---------------------------------------------------------- |
| `PermissionReason`   | Some mandatory permission is missing.                      |
| `AvailabilityReason` | CafSmartAuth is not available for use.                     |
| `NetworkReason`      | Internet connection failure.                               |
| `ServerReason`       | When a request receives a failure status code.             |
| `SecurityReason`     | The SDK cannot be started due to a security-related issue. |
| `PolicyReason`       | A policy being used is not supported by the SDK.           |

This section provides a reference to the main configurable properties and potential errors for the *CafSmartAuth* SDK on Android.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/android/standalone-modules/cafsmartauth/references.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
